> For the complete documentation index, see [llms.txt](https://docs.formsort.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.formsort.com/importing-data/embed-query-parameters.md).

# Embed query parameters

You can also pass data into your form flows when they're configured as embeds using query parameters. Additional documentation is available in the [web embed page](https://github.com/formsort/oss/tree/master/packages/web-embed-api).

{% hint style="info" %}
**Using the embed snippet?**

If you are using the [embed snippet](/publishing-and-deployment/embedding.md#embed-snippet), you can enable the [Load with url parameters](/publishing-and-deployment/embedding.md#load-with-url-parameters) setting to have access to all URL parameters in the containing page.&#x20;
{% endhint %}

### Example: Passing in data to a React component

This example demonstrates how you can load a react component and pass in a `zipcode` of `01234`

```typescript
import React from "react";
import EmbedFlow from "@formsort/react-embed";
const EmbedFlowExample: React.FunctionComponent = () => (
  <div>
    <EmbedFlow
      clientLabel="formsort"
      flowLabel="onboarding"
      variantLabel="main"
      embedConfig={{
        style: {
          width: "100%",
          height: "100%"
        }
      }}
      queryParams={["zipcode", "01234"]}
    />
  </div>
);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.formsort.com/importing-data/embed-query-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
